
Katello - Feature #5186

Systems/Hosts: There should be cross links from the Content Host details page to the equivalent

Host details page

04/14/2014 03:00 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The UI needs to provide cross-linking that will allow a user to easily navigate from a Katello Content Host to it's corresponding

Foreman Host.

Associated revisions

Revision 4a616cfd - 05/02/2014 09:55 AM - Brad Buckingham

Fixes #5186, #5189 - Content Host - show provisioning details and cross-link to Foreman host

This commit contains a few basic changes, including:

1. Add a foreign key to katello's system to enable associating it to a foreman host

2. Add a 'Provisioning Details' tab to a katello content host

3. Add high-level information from foreman to the provisioning details.  At this time,

this includes the information that is currently shown from foreman host list,

such as name, status, OS, puppet environment, last puppet report, model & host group.

4. Provide cross-linking (where possible) from the katello content host to the foreman host.

This currently supports linking to the host as well as hostgroup.

Revision 4e66371f - 05/02/2014 11:29 AM - Brad Buckingham

Merge pull request #4015 from bbuckingham/issue-5189

Fixes #5186, #5189 - Content Host - show provisioning details and cross-link to foreman host

Revision b2b95bf2 - 05/02/2014 01:55 PM - Brad Buckingham

Fixes #5186, #5189 - Content Host - show provisioning details and cross-link to Foreman host

This commit contains a few basic changes, including:

1. Add a foreign key to katello's system to enable associating it to a foreman host

2. Add a 'Provisioning Details' tab to a katello content host

3. Add high-level information from foreman to the provisioning details.  At this time,

this includes the information that is currently shown from foreman host list,

such as name, status, OS, puppet environment, last puppet report, model & host group.

4. Provide cross-linking (where possible) from the katello content host to the foreman host.

This currently supports linking to the host as well as hostgroup.

Revision eaa18115 - 05/02/2014 03:29 PM - Brad Buckingham

Merge pull request #4015 from bbuckingham/issue-5189

Fixes #5186, #5189 - Content Host - show provisioning details and cross-link to foreman host

History

#1 - 04/21/2014 04:36 PM - Brad Buckingham

- Status changed from New to Assigned
- Assignee set to Brad Buckingham

#2 - 04/28/2014 04:24 PM - Brad Buckingham

- Target version set to 44

- Triaged changed from No to Yes

#3 - 05/02/2014 03:52 PM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b2b95bf24da903478cec2a25fc5690213e084681.

#4 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
